Name:           iwidgets
BuildRequires:  tcl-devel
Version:        4.1
Release:        %mkrel 8
Source0:        %{name}41.tgz
BuildArch:      noarch
Summary:        Widget Extension for Tcl/Tk
License:        MIT
Group:          System/Libraries
Requires:       itk
URL: http://chiselapp.com/user/rene/repository/iwidgets/index

%description
[incr Widgets] is an object-oriented mega-widget set that extends
Tcl/Tk and is based on [incr Tcl] and [incr Tk].  This set of
mega-widgets delivers many new, general purpose widgets like option
menus, comboboxes, selection boxes, and various dialogs whose
counterparts are found in Motif and Windows. Since [incr Widgets] is
based on the [incr Tk] extension, the Tk framework of configuration
options, widget commands, and default bindings is maintained.  In other
words, each [incr Widgets] mega-widget seamlessly blends with the
standard Tk widgets. They look, act, and feel like Tk widgets. In
addition, all [incr Widgets] mega-widgets are object oriented and may
themselves be extended, using either inheritance or composition.


%prep
%setup -q -n %name%version
sed -i -e "s/itk 4/Itk/" library/pkgIndex.tcl

%build

%install
mkdir -p %buildroot%tcl_sitelib
cp -a library %buildroot%tcl_sitelib/%name%version

%files
%doc license.terms README
%tcl_sitelib/%name%version


%changelog
* Sun Mar 27 2016 eatdirt <eatdirt> 4.1-8.mga6
+ Revision: 995716
- Rebuilt for new itk/itcl

* Fri Feb 19 2016 umeabot <umeabot> 4.1-7.mga6
+ Revision: 970350
- Mageia 6 Mass Rebuild

* Sun Oct 04 2015 eatdirt <eatdirt> 4.1-6.mga6
+ Revision: 886128
- Rebuild for tcl8.6

* Wed Oct 15 2014 umeabot <umeabot> 4.1-5.mga5
+ Revision: 750378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1-4.mga5
+ Revision: 680592
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 4.1-3.mga4
+ Revision: 538724
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 4.1-2.mga4
+ Revision: 490244
- make this work with older Itk

* Tue Oct 01 2013 joequant <joequant> 4.1-1.mga4
+ Revision: 490105
- change group
- imported package iwidgets

